﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml;
using System.Text;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void btnReadXml_Click(object sender, EventArgs e)
    {
        ReadXmlFile(Server.MapPath("EmployeeDetails.xml"));
    }
    protected void btnWriteXml_Click(object sender, EventArgs e)
    {
        XmlTextWriter xmlWriter = new XmlTextWriter(Server.MapPath("EmployeeDetails.xml"), Encoding.UTF8);
        xmlWriter.WriteStartDocument();
        //Create Parent element
        xmlWriter.WriteStartElement("EmployeeDetails");
        //Create Child elements
        xmlWriter.WriteStartElement("Details");
        xmlWriter.WriteElementString("Name", txtName.Text);
        xmlWriter.WriteElementString("Department", txtDept.Text);
        xmlWriter.WriteElementString("Location", txtLocation.Text);
        xmlWriter.WriteEndElement();

        //End writing top element and XML document
        xmlWriter.WriteEndElement();
        xmlWriter.WriteEndDocument();
        xmlWriter.Close();
    }

    protected void ReadXmlFile(string xmlFile)
    {
        string parentElementName = "";
        string childElementName = "";
        string childElementValue = "";
        bool element = false;
        lblXml.Text = "";
        
        XmlTextReader xmlReader = new XmlTextReader(xmlFile);
        while (xmlReader.Read())
        {
            if (xmlReader.NodeType == XmlNodeType.Element)
            {
                if (element)
                {
                   parentElementName = parentElementName + childElementName + "<br/>";
                }
                element = true;
                childElementName = xmlReader.Name;
            }
            else if (xmlReader.NodeType == XmlNodeType.Text | xmlReader.NodeType == XmlNodeType.CDATA)
            {
                element = false;
                childElementValue = xmlReader.Value;
                lblXml.Text = lblXml.Text + "<b>" + parentElementName + "<br/>" + childElementName + "</b><br/>" + childElementValue;
                parentElementName = "";
                childElementName = "";
            }
        }
        xmlReader.Close();
    }
}
